﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7054 (1 yr) VER IEEE /O_CAL+S6+FE,LFCTR
DATE:                  2017-07-24 14:53:23
AUTHOR:                Fluke
REVISION:              $Revision: 23333 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       319
CONFIGURATION:         Fluke Ocal (600MHz,FE)
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  This procedure contains the following tests whose Test Uncertainty Ratio
#  are less than 4:1.
#        DCV ACCURACY
#                50 Ω, 1 mV/div, Positive;     TUR 2.1033
#                50 Ω, 1 mV/div, Negative;     TUR 2.1033
#                50 Ω, 2 mV/div, Positive;     TUR 2.2707
#                50 Ω, 2 mV/div, Negative;     TUR 2.2707
#                50 Ω, 5 mV/div, Positive;     TUR 2.6906
#                50 Ω, 5 mV/div, Negative;     TUR 2.6906
#                50 Ω, 10 mV/div, Positive;    TUR 3.8926
#                50 Ω, 10 mV/div, Negative;    TUR 3.8926
#                50 Ω, 50 mV/div, Positive;    TUR 2.6201
#                50 Ω, 50 mV/div, Negative;    TUR 2.6201
#
#  Source:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Additional Equipment Required:
#        1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
#        1 ea. BNC Shorting Cap (f)
#        1 ea. BNC attenuator, 2X (6 dB)
#        1 ea. BNC power splitter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  O_CAL        Mode = LeveledSine
  1.002  O_CAL        +Voltage = 5 Vpp; Frequency = 500 MHz
  1.003  O_CAL        Mode = Edge; FastEdge
  1.003  O_CAL        +Voltage = 250 mVpp; Frequency = 10 kHz
  1.004  IEEE         [@LFCTR]
  1.005  ENDIF

  1.006  MATH         @Bandwidth = 500E+6; @NumChan = 4; @MultiCh = 0

  1.007  ASK-   R   Q N              P                            A        V

  1.008  IF           NOT(VERSIONCHECK("8.1.7"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  TARGET
  1.017  DISP         Ensure a minimum DUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.
  1.018  HEAD

  1.019  CALL         Sub Tek DPO7000 Setup IEEE
  1.020  CALL         Sub DUT Connection GPIB

  1.021  MATH         @DUT_Manufacturer = "TEKTRONIX"
  1.022  MATH         @DUT_Model        = "DPO7054"
  1.023  MATH         @DUT_AssetNum     = UUT()

  1.024  IF           NOT(EMPTY(@DUT_AssetNum))
  1.025  MATH         @DUT_SerialNum = SN(@DUT_AssetNum)
  1.026  ENDIF

  1.027  CALL         Sub IEEE-488.2 *IDN? IEEE
  1.028  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.029  JMPL         END                             @Abort
  1.030  CALL         Sub Tek DPO7000 Check Firmware Version
  1.031  JMPL         END                             @Abort

  1.032  HEAD         EQUIPMENT REQUIREMENTS
  1.033  OPBR         -z Do you want to review the list of additional
  1.033  OPBR         equipment and/or accessories required?

  1.034  IF           MEM1
  1.035  DISP         - 1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
  1.035  DISP         - 1 ea. BNC Shorting Cap (f)
  1.035  DISP         - 1 ea. BNC attenuator, 2X (6 dB)
  1.035  DISP         - 1 ea. BNC power splitter
  1.036  ENDIF

  1.037  OPBR         -z Do you want to review the list of flexible standards,
  1.037  OPBR         additional equipment and/or accessories required?

  1.038  IF           MEM1
  1.039  DISP         The indicated minimum use specifications must be
  1.039  DISP         satisfied when configuring the following devices
  1.039  DISP         as flexible standards:
  1.039  DISP
  1.039  DISP         LF Counter (LFCTR):
  1.039  DISP         [32] Ch. A Frequency Range: 10 MHz
  1.039  DISP         [32]   Accuracy: ±3.5 ppm/year
  1.039  DISP         [32] Example: Fluke PM6681 with PM9678B option
  1.039  DISP         [32] or equivalent

  1.040  DISP         Additional equipment/accessories required:
  1.040  DISP
  1.040  DISP         - Frequency Standard, suitable for use with configured
  1.040  DISP         [32] LF counter, ±3.5 ppm or better, Fluke PM6681 with
  1.040  DISP         [32] PM9678B option or equivalent (if required)
  1.041  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.042  CALL         Sub Tek DPO7000 Self-Test IEEE
  1.043  JMPL         END                           @Abort
  1.044  CALL         Sub Tek DPO7000 Signal Path Compensation IEEE
  1.045  JMPL         END                           @Abort

  1.046  OPBR         -z The purpose of functional tests are to confirm the
  1.046  OPBR         DUT functions properly; that is, they verify the DUT
  1.046  OPBR         features operate. They do not verify that they operate
  1.046  OPBR         within limits. If more extensive confirmation of
  1.046  OPBR         performance is desired, please execute the full
  1.046  OPBR         performance test.
  1.046  OPBR
  1.046  OPBR         Do you want to execute the functional tests?

  1.047  IF           MEM1
  1.048  CALL         Sub Tek DPO7000 Functional Tests IEEE
  1.049  ENDIF

  1.050  MATH         @CalChan = 1

  1.051  MATH         @Chan = 1
  1.052  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /O_CAL
  1.053  JMPL         BW_CH1

  1.054  LABEL        DCV_CH2
  1.055  MATH         @Chan = 2
  1.056  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /O_CAL
  1.057  JMPL         BW_CH2

  1.058  LABEL        DCV_CH3
  1.059  MATH         @Chan = 3
  1.060  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /O_CAL
  1.061  JMPL         BW_CH3

  1.062  LABEL        DCV_CH4
  1.063  MATH         @Chan = 4
  1.064  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /O_CAL
  1.065  JMPL         BW_CH4

  1.066  LABEL        BW_CH1
  1.067  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /O_CAL+S6
  1.068  LABEL        TRIGGER_CH1_50MHz

  1.069  LABEL        BW_CH2
  1.070  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /O_CAL+S6
  1.071  JMPL         TRIGGER_CH2_50MHz

  1.072  LABEL        BW_CH3
  1.073  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /O_CAL+S6
  1.074  JMPL         TRIGGER_CH3_50MHz

  1.075  LABEL        BW_CH4
  1.076  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /O_CAL+S6
  1.077  JMPL         TRIGGER_CH4_50MHz

  1.078  LABEL        TIMEBASE_ACCURACY
  1.079  CALL         Sub Tek DPO7000 (1 yr) Timebase Acc VER IEEE /LFCTR
  1.080  JMPL         AUX_TRIGGER_OUT

  1.081  LABEL        TIMEBASE_REF
  1.082  CALL         Sub Tek DPO7000 (1 yr) Timebase Ref VER IEEE /O_CAL
  1.083  JMPL         DCV_CH2

  1.084  LABEL        DELTA_CH1
  1.085  MATH         @Chan = 1
  1.086  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /O_CAL+FE
  1.087  MATH         @Chan = 2
  1.088  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /O_CAL+FE
  1.089  MATH         @Chan = 3
  1.090  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /O_CAL+FE
  1.091  MATH         @Chan = 4
  1.092  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /O_CAL+FE

  1.093  DISP         Remove all connections.
  1.094  JMPL         TRIGGER_CH1_AUX_IN_50MHz

  1.095  LABEL        TIME_QUALIFIED
  1.096  MATH         @Chan = 1
  1.097  CALL         Sub Tek DPO7000 (1 yr) Time Qualified VER IEEE /O_CAL
  1.098  JMPL         TIMEBASE_REF

# -----  Trigger Sensitivity Ch 1  ------------------------------------------

  1.099  LABEL        TRIGGER_CH1_50MHz
  1.100  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /O_CAL
  1.101  JMPL         TRIGGER_CH1_FULL_BW

  1.102  LABEL        TRIGGER_CH1_AUX_IN_50MHz
  1.103  MATH         @Chan = 1
  1.104  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /O_CAL
  1.105  JMPL         TRIGGER_CH1_AUX_IN_250MHz

  1.106  LABEL        TRIGGER_CH1_FULL_BW
  1.107  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /O_CAL+S6
  1.108  JMPL         TIME_QUALIFIED

  1.109  LABEL        TRIGGER_CH1_AUX_IN_250MHz
  1.110  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /O_CAL
  1.111  JMPL         TRIGGER_CH2_AUX_IN_50MHz

# -----  Trigger Sensitivity Ch 2  ------------------------------------------

  1.112  LABEL        TRIGGER_CH2_50MHz
  1.113  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /O_CAL
  1.114  JMPL         TRIGGER_CH2_FULL_BW

  1.115  LABEL        TRIGGER_CH2_AUX_IN_50MHz
  1.116  MATH         @Chan = 2
  1.117  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /O_CAL
  1.118  JMPL         TRIGGER_CH2_AUX_IN_250MHz

  1.119  LABEL        TRIGGER_CH2_FULL_BW
  1.120  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /O_CAL+S6
  1.121  JMPL         DCV_CH3

  1.122  LABEL        TRIGGER_CH2_AUX_IN_250MHz
  1.123  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /O_CAL
  1.124  JMPL         TRIGGER_CH3_AUX_IN_50MHz

# -----  Trigger Sensitivity Ch 3 ------------------------------------------

  1.125  LABEL        TRIGGER_CH3_50MHz
  1.126  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /O_CAL
  1.127  JMPL         TRIGGER_CH3_FULL_BW

  1.128  LABEL        TRIGGER_CH3_AUX_IN_50MHz
  1.129  MATH         @Chan = 3
  1.130  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /O_CAL
  1.131  JMPL         TRIGGER_CH3_AUX_IN_250MHz

  1.132  LABEL        TRIGGER_CH3_FULL_BW
  1.133  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /O_CAL+S6
  1.134  JMPL         DCV_CH4

  1.135  LABEL        TRIGGER_CH3_AUX_IN_250MHz
  1.136  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /O_CAL
  1.137  JMPL         TRIGGER_CH4_AUX_IN_50MHz

# -----  Trigger Sensitivity Ch 4  ------------------------------------------

  1.138  LABEL        TRIGGER_CH4_50MHz
  1.139  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /O_CAL
  1.140  JMPL         TRIGGER_CH4_FULL_BW

  1.141  LABEL        TRIGGER_CH4_AUX_IN_50MHz
  1.142  MATH         @Chan = 4
  1.143  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /O_CAL
  1.144  JMPL         TRIGGER_CH4_AUX_IN_250MHz

  1.145  LABEL        TRIGGER_CH4_FULL_BW
  1.146  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /O_CAL+S6

  1.147  DISP         Remove all connections.
  1.148  JMPL         DELTA_CH1

  1.149  LABEL        TRIGGER_CH4_AUX_IN_250MHz
  1.150  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /O_CAL

  1.151  DISP         Remove all connections.
  1.152  JMPL         TIMEBASE_ACCURACY

  1.153  LABEL        AUX_TRIGGER_OUT
  1.154  MATH         @Chan = 1
  1.155  CALL         Sub Tek DPO7000 (1 yr) Aux Trigger Out VER IEEE
  1.156  CALL         Sub Tek DPO7000 (1 yr) Probe Comp VER IEEE /O_CAL

  1.157  LABEL        END
  1.158  IEEE2        *RST[GTL]

  1.159  IF           @Abort
  1.160  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.161  ENDIF

  1.162  END
